Subject: Re: cygwin qt port- do I have to apply patches or something?
From: mike marchywka <[email-masked]>
To: cygwin <[email-masked]>
Date: Wed, 31 Mar 2010 19:48:19 -0400
List-Id: <cygwin.cygwin.com>

On 3/31/10, mike marchywka <[email-masked]> wrote:
> sorry, I gve up on the other build and downloaded the cygwin source.
> But, now I'm getting the same errors I got earlier on the other build,
> for example,
> it looks like problems with "W" and "A" signatures on windoze calls etc.
> But, it looks like the first error is missing qt_windows.h.
> What am I supposed to do to get this to build? IThanks.

I went ahead and applied the patches and configure at least
seems to run. I just assumed the patch files were for reference,
shouldn't the source be patched when downloaded or is there
a reason for this ( or do I have a larger fundamental problem and
applying these patches just lets configure run longer)?

I've still got ssh and other stuff running under 1.5 so
I have to use windoze remote dektop and open the 1.7 shell,
annoyuing but it seems to work for now LOL.

>
> marchywka@216202-WEB1
> /cygdrive/c/cygwin/home/marchywka/wk/cygqt/qt-x11-opensour
> ce-src-4.5.3
> $ ./configure -verbose -prefix ../../qtcyg
> Which edition of Qt do you want to use ?
>
> Type 'c' if you want to use the Commercial Edition.
> Type 'o' if you want to use the Open Source Edition.
>
> o
>
> Determining system architecture... (CYGWIN_NT-5.2:1.7.1(0.218/5/3):i686)
>     32-bit Intel 80x86 (i386)
>     'i386' is supported
> System architecture: 'i386'
> Precompiled-headers support enabled.
> Separate debug info support enabled.
> Symbol visibility control enabled.
>
> This is the Qt/X11 Open Source Edition.
>
> You are licensed to use this software under the terms of
> the Lesser GNU General Public License (LGPL) versions 2.1.
> You are also licensed to use this software under the terms of
> the GNU General Public License (GPL) versions 3.
>
> Type '3' to view the GNU General Public License version 3.
> Type 'L' to view the Lesser GNU General Public License version 2.1.
> Type 'yes' to accept this license offer.
> Type 'no' to decline this license offer.
>
> Do you accept the terms of either license? yes
>
> Creating qmake. Please wait...
> g++ -c -o qglobal.o -pipe -DQMAKE_OPENSOURCE_EDITION -I. -Igenerators
> -Igenerato
> rs/unix -Igenerators/win32 -Igenerators/mac
> -I/cygdrive/c/cygwin/home/marchywka/
> wk/cygqt/qt-x11-opensource-src-4.5.3/include
> -I/cygdrive/c/cygwin/home/marchywka
> /wk/cygqt/qt-x11-opensource-src-4.5.3/include/QtCore
> -I/cygdrive/c/cygwin/home/m
> archywka/wk/cygqt/qt-x11-opensource-src-4.5.3/src/corelib/global
> -I/cygdrive/c/c
> ygwin/home/marchywka/wk/cygqt/qt-x11-opensource-src-4.5.3/src/script
> -DQT_NO_PCR
> E -DQT_BUILD_QMAKE -DQT_BOOTSTRAPPED -DQT_NO_TEXTCODEC -DQT_NO_UNICODETABLES
> -DQ
> T_NO_COMPONENT -DQT_NO_STL -DQT_NO_COMPRESS
> -I/cygdrive/c/cygwin/home/marchywka/
> wk/cygqt/qt-x11-opensource-src-4.5.3/mkspecs/cygwin-g++ -DHAVE_QCONFIG_CPP
> -DQT_
> NO_THREAD -DQT_NO_QOBJECT -DQT_NO_GEOM_VARIANT
> /cygdrive/c/cygwin/home/marchywk
> a/wk/cygqt/qt-x11-opensource-src-4.5.3/src/corelib/global/qglobal.cpp
> /cygdrive/c/cygwin/home/marchywka/wk/cygqt/qt-x11-opensource-src-4.5.3/src/corel
> ib/global/qglobal.cpp:1601:24: error: qt_windows.h: No such file or
> directory
> /cygdrive/c/cygwin/home/marchywka/wk/cygqt/qt-x11-opensource-src-4.5.3/src/corel
> ib/global/qglobal.cpp: In static member function `static
> QSysInfo::WinVersion QS
> ysInfo::windowsVersion()':
> /cygdrive/c/cygwin/home/marchywka/wk/cygqt/qt-x11-opensource-src-4.5.3/src/corel
> ib/global/qglobal.cpp:1624: error: `OSVERSIONINFOA' was not declared in this
> sco
> pe
> /cygdrive/c/cygwin/home/marchywka/wk/cygqt/qt-x11-opensource-src-4.5.3/src/corel
> ib/global/qglobal.cpp:1624: error: expected `;' before `osver'
> /cygdrive/c/cygwin/home/marchywka/wk/cygqt/qt-x11-opensource-src-4.5.3/src/corel
> ib/global/qglobal.cpp:1625: error: `osver' was not declared in this scope
> /cygdrive/c/cygwin/home/marchywka/wk/cygqt/qt-x11-opensource-src-4.5.3/src/corel
> ib/global/qglobal.cpp:1626: error: `GetVersionExA' was not declared in this
> scop
> e
> make: *** [qglobal.o] Error 1
>
> marchywka@216202-WEB1
> /cygdrive/c/cygwin/home/marchywka/wk/cygqt/qt-x11-opensour
> ce-src-4.5.3
> $
> --
> [email-masked]
> note new address 2009-12-16:
> Mike Marchywka
> 1975 Village Round
> Marietta GA 30064
> 415-264-8477 (w)<- use this
> 404-788-1216 (C)<- leave message
> 989-348-4796 (P)<- emergency only
> [email-masked]
> Note: If I am asking for free stuff, I normally use for hobby/non-profit
> information but may use in investment forums, public and private.
> Please indicate any concerns if applicable.
> Note: hotmail is censoring incoming mail using random criteria beyond
> my control and often hangs my browser
> but all my subscriptions are here..., try also [email-masked]
>

-- 
[email-masked]
note new address 2009-12-16:
Mike Marchywka
1975 Village Round
Marietta GA 30064
415-264-8477 (w)<- use this
404-788-1216 (C)<- leave message
989-348-4796 (P)<- emergency only
[email-masked]
Note: If I am asking for free stuff, I normally use for hobby/non-profit
information but may use in investment forums, public and private.
Please indicate any concerns if applicable.
Note: hotmail is censoring incoming mail using random criteria beyond
my control and often hangs my browser
but all my subscriptions are here..., try also [email-masked]

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple